<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<figure class="newsdetail__image">
    <f:if condition="{settings.templateLayout} == 3">
        <f:then><f:render section="BlogImage" arguments="{_all}"/></f:then>
        <f:else><f:render section="DefaultImage" arguments="{_all}"/></f:else>
    </f:if>
    <f:if condition="{mediaElement.description}">
        <figcaption class="newsdetail__image-caption">
            <span>{mediaElement.description}</span>
        </figcaption>
    </f:if>
</figure>

<f:section name="BlogImage">
    <f:if condition="{mediaElement.link}">
        <f:then>
            <f:link.typolink parameter="{mediaElement.link}" target="{n:targetLink(link:mediaElement.link)}">
                <f:image image="{mediaElement}" width="1276" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                         additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
								                         {f:uri.image(image:mediaElement, width: 960)} 960w',
						                        sizes: '(min-width: 1276px) 960px, calc(100vw - 64px)'}"/>
            </f:link.typolink>
        </f:then>
        <f:else>
            <f:if condition="{settings.detail.media.image.lightbox.enabled} || {lightbox} == 1 ">
                <f:then>
                    <a href="{f:uri.image(image:mediaElement, width:'{settings.detail.media.image.lightbox.width}', height:'{settings.detail.media.image.lightbox.height}')}" title="{mediaElement.title}" class="{settings.detail.media.image.lightbox.class}" rel="{settings.detail.media.image.lightbox.rel}">
                        <f:image image="{mediaElement}" width="1276" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                                 additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
                                                                 {f:uri.image(image:mediaElement, width: 960)} 960w',
                                                        sizes: '(min-width: 1276px) 960px, calc(100vw - 64px)'}"/>
                    </a>
                </f:then>
                <f:else>
                    <f:image image="{mediaElement}" width="1276" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                             additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
                                                             {f:uri.image(image:mediaElement, width: 960)} 960w',
                                                    sizes: '(min-width: 1276px) 960px, calc(100vw - 64px)'}"/>
                </f:else>
            </f:if>
        </f:else>
    </f:if>
</f:section>

<f:section name="DefaultImage">
    <f:if condition="{mediaElement.link}">
        <f:then>
            <f:link.typolink parameter="{mediaElement.link}" target="{n:targetLink(link:mediaElement.link)}">
                <f:image image="{mediaElement}" width="960" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                         additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
								                         {f:uri.image(image:mediaElement, width: 960)} 960w',
						                        sizes: '(min-width: 1024px) 960px, calc(100vw - 64px)'}"/>

            </f:link.typolink>
        </f:then>
        <f:else>
            <f:if condition="{settings.detail.media.image.lightbox.enabled} || {lightbox} == 1 ">
                <f:then>
                    <a href="{f:uri.image(image:mediaElement, width:'{settings.detail.media.image.lightbox.width}', height:'{settings.detail.media.image.lightbox.height}')}" title="{mediaElement.title}" class="{settings.detail.media.image.lightbox.class}" rel="{settings.detail.media.image.lightbox.rel}">
                        <f:image image="{mediaElement}" width="960" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                                 additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
                                                                 {f:uri.image(image:mediaElement, width: 960)} 960w',
                                                        sizes: '(min-width: 1024px) 960px, calc(100vw - 64px)'}"/>
                    </a>
                </f:then>
                <f:else>
                    <f:image image="{mediaElement}" width="960" alt="{mediaElement.alternative}" title="{mediaElement.title}" loading="lazy" data="{copyright: '{mediaElement.properties.copyright}'}"
                             additionalAttributes="{srcset: '{f:uri.image(image:mediaElement, width: 576)} 576w,
                                                             {f:uri.image(image:mediaElement, width: 960)} 960w',
                                                    sizes: '(min-width: 1024px) 960px, calc(100vw - 64px)'}"/>
                </f:else>
            </f:if>
        </f:else>
    </f:if>
</f:section>
</html>
